## listaller 0.5.4

=== CMakeLists.txt ===
# CMakeLists for the Listaller Project
project(listaller)

cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)

#UNSET THIS VARIABLE AT RELEASE TIME
#set(VERSION_SUFFIX "-dev")

set(CMAKE_BUILD_TYPE "Debug")

# Detect Git revision (if present)
if(VERSION_SUFFIX MATCHES "-dev")
	if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
		find_package(Git)
		if(GIT_EXECUTABLE)
		  execute_process(WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
				    COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
				    OUTPUT_VARIABLE project_revision RESULT_VARIABLE check_fail)
		  string(REGEX REPLACE "\n" "" project_revision ${project_revision})
		  if(check_fail)
		   message(STATUS "Could not fetch current Git revision: ${check_fail}")
		  else()
		   message(STATUS "Found Git revision: ${project_revision}")
		   set(VERSION_SUFFIX "${VERSION_SUFFIX}:${project_revision}")
		  endif(check_fail)
		endif(GIT_EXECUTABLE)
	endif()
endif()

set(LISTALLER_VERSION_MAJOR  "0")
set(LISTALLER_VERSION_MINOR  "5")
set(LISTALLER_VERSION_PATCH  "4")
set(LISTALLER_VERSION_SUFFIX "${VERSION_SUFFIX}")
set(LISTALLER_VERSION "${LISTALLER_VERSION_MAJOR}.${LISTALLER_VERSION_MINOR}.${LISTALLER_VERSION_PATCH}")

set(LISTALLER_API_LEVEL "0")

# Forbid in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})

#
# Options
#
option(QT "Build Listaller's Qt4 modules" OFF)
option(TOOLS "Build Listaller's non-gui tools" ON)
option(APBUILD "Build the APBuild tool" OFF)
option(PATCHELF "Build patchelf utility" OFF)
option(L18N "Enable localization" ON)
option(TESTS "Enable Listaller's Unit Tests" OFF)
option(TEST_DEPSOLVER "Test Listaller's dependency solver" OFF)
option(TEST_SECURITY "Enable Listaller signing/security tests" ON)


if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Listaller default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set(XDG_APPS_INSTALL_DIR share/applications)

add_definitions(-DCMAKE_INSTALL_PREFIX="\"${CMAKE_INSTALL_PREFIX}\"")
add_definitions(-DCMAKE_INSTALL_LIBDIR="\"${CMAKE_INSTALL_LIBDIR}\"")

set(CMAKE_INSTALL_LIBDIR "lib/${CMAKE_LIBRARY_ARCHITECTURE}" CACHE PATH "Output directory for libraries")
set(LISTALLER_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/listaller)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/data/cmake/)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/data/cmake/vala)

message(STATUS "Compiling Listaller version ${LISTALLER_VERSION}")

configure_file("${CMAKE_SOURCE_DIR}/data/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

add_custom_target(distclean
  "make clean"
)

#
# l18n
#
find_package (Gettext REQUIRED)

#
# Default paths
#
set(BIN_INSTALL_DIR bin CACHE PATH "Installation directory for executables")
set(LIB_INSTALL_DIR lib CACHE PATH "Installation directory for libraries")
set(INC_INSTALL_DIR include CACHE PATH "Installation directory for headers")
set(DATA_INSTALL_DIR share/listaller CACHE PATH "Installation directory for data files")
set(SYSCONF_INSTALL_DIR etc CACHE PATH "Installation directory for system configuration files")

#
# Configure files
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATA_INSTALL_DIR}")
set (LIBDIR "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
set (PKGLIBDIR "${LIBDIR}/listaller")
set (GETTEXT_PACKAGE "listaller")
set (LOCALE_DIR "${DATADIR}/locale")
set (VERSION "${LISTALLER_VERSION}")
set (BUILDDIR "${CMAKE_BINARY_DIR}")

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)
# set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_SOURCE_DIR}/src/config.h)

#
# Enable/disable testing
#
if(TESTS)
	enable_testing()
endif(TESTS)

#
# Custom C flags
#
set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self"
)
option (DISABLE_MAINTAINER_CFLAGS "Disable maintainer CFlags" ON)
if (DISABLE_MAINTAINER_CFLAGS)
	set (MAINTAINER_CFLAGS "")
endif (DISABLE_MAINTAINER_CFLAGS)
add_definitions(${MAINTAINER_CFLAGS})

# Required to include config.h before all other units
add_definitions ("--include config.h")

# Required if GPGme was compiled with _FILE_OFFSET_BITS=64
add_definitions("-D_FILE_OFFSET_BITS=64")

#
# Validate Vala version
#
find_package(PkgConfig REQUIRED)
find_package(Vala REQUIRED)
include(${VALA_USE_FILE})
ensure_vala_version("0.14" MINIMUM)

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(contrib)
add_subdirectory(docs)
if(TESTS)
	add_subdirectory(tests)
endif(TESTS)
if (GETTEXT_FOUND AND L18N)
  add_subdirectory(po)
endif (GETTEXT_FOUND AND L18N)

=== contrib/CMakeLists.txt ===

add_subdirectory(binreloc)
if (APBUILD)
	add_subdirectory(apbuild)
endif (APBUILD)
if (PATCHELF)
	add_subdirectory(patchelf)
endif (PATCHELF)

=== src/CMakeLists.txt ===
# CMakeLists for Listaller-GLib (source)

#
# Some general library & source settings
#
set(lisrc ${CMAKE_SOURCE_DIR}/src
	  CACHE INTERNAL "Listaller sourcecode dir"
)

set(LISTALLER_BASE_SOURCES ${lisrc}/logging.vala
	${lisrc}/utils.vala
	${lisrc}/status.vala
	${lisrc}/msgobject.vala
	${lisrc}/settings.vala
	${lisrc}/application.vala
	${lisrc}/database-internal.vala
	${lisrc}/database.vala
	${lisrc}/varsolver.vala
	${lisrc}/varsetter.vala
	${lisrc}/doap.vala
	${lisrc}/ipk-metafile.vala
	${lisrc}/ipk-filelist.vala
	${lisrc}/ipk-control.vala
	${lisrc}/ipk-package.vala
	${lisrc}/gpg-basic.vala
	${lisrc}/signature.vala
	${lisrc}/security.vala
	${lisrc}/dep-info.vala
	${lisrc}/version.vala
	CACHE INTERNAL "Listaller core source files"
)

set(LISTALLER_BASE_VALA_DEPS config gee-1.0 gio-2.0 sqlite3 libarchive gpgme libxml-2.0 rdf-minimal
			     CACHE INTERNAL "Essential Vala package dependencies"
)

# Variables used later to set library versioning
set(LILIBS_FULL_VERSION "${LISTALLER_VERSION_MAJOR}.${LISTALLER_VERSION_MINOR}.${LISTALLER_VERSION_PATCH}")
set(LILIBS_VERSION "${LISTALLER_VERSION_MAJOR}.${LISTALLER_VERSION_MINOR}" CACHE INTERNAL "int: LiLibs version")

#
# Build Qt4 library if flag is set
#
if(QT)
	message ("The Qt4 interface is outdated and needs to be rewritten.")
	message ("The rewrite was planned for a later release, if a Qt interface is still useful.")
	#add_subdirectory(qt4)
endif(QT)

#
# Listaller-GLib build instructions
#

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
find_package(Gettext REQUIRED)
find_package(SQLite3 REQUIRED)
find_package(LibArchive REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(GPGme REQUIRED)
find_package(GI REQUIRED)
find_library(M_LIB m)
pkg_check_modules(GEE REQUIRED gee-1.0>=0.6)
pkg_check_modules(GIO2 REQUIRED gio-2.0>=2.26)
pkg_check_modules(REDLAND REQUIRED redland>=0.4)
pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2>=0.7.2)
pkg_check_modules(PACKAGEKIT_PLUGIN REQUIRED packagekit-plugin)
#find_gir(PKGIR "PackageKitGlib-1.0" REQUIRED)

set(LISTALLER_GLIB_SOURCES ${LISTALLER_BASE_SOURCES}
	zfeed.vala
	dep-manager.vala
	dep-installer.vala
	pkbackend-glue.vala
	pkit-tasks.vala
	feed-installer.vala
	manager.vala
	installer.vala
)

list(APPEND VALA_INCLUDE_DIRS ${CMAKE_BINARY_DIR})

vala_add_library(listaller-glib SHARED ${LISTALLER_GLIB_SOURCES}
			BASE_DIR ${lisrc}
			VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi
			PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2
			GENERATE_VAPI listaller-${LILIBS_VERSION}.vapi
			GENERATE_HEADER listaller.h
			GENERATE_INTERNAL_HEADER listaller_internal.h
			OUTPUT_DIR ${CMAKE_BINARY_DIR}/src
			COMPILE_FLAGS --gir=Listaller-${LILIBS_VERSION}.gir
				--library Listaller-${LILIBS_VERSION}
				--internal-vapi=listaller_internal.vapi.orig
				--thread
)

find_program (SED_TOOL NAMES sed)
if (NOT SED_TOOL)
	message (FATAL_ERROR "Unable to find sed")
endif (NOT SED_TOOL)

# Workaround to fix Listaller header filename in internal vapi
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/listaller_internal.vapi
	COMMAND ${SED_TOOL}  "'s/\"listaller.h\"/\"listaller_internal.h\"/'" ${CMAKE_CURRENT_BINARY_DIR}/listaller_internal.vapi.orig ">" ${CMAKE_CURRENT_BINARY_DIR}/listaller_internal.vapi
	DEPENDS listaller-glib_precompile ${CMAKE_CURRENT_BINARY_DIR}/listaller_internal.vapi.orig
)
add_custom_target(header_internal_fix DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/listaller_internal.vapi)
add_dependencies (listaller-glib header_internal_fix)

# Compile the introspection data
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Listaller-${LILIBS_VERSION}.typelib
	COMMAND ${INTROSPECTION_COMPILER}  "--shared-library=listaller-glib" "--includedir=."
					"${CMAKE_CURRENT_BINARY_DIR}/Listaller-${LILIBS_VERSION}.gir"
					"-o" "${CMAKE_CURRENT_BINARY_DIR}/Listaller-${LILIBS_VERSION}.typelib"
	DEPENDS listaller-glib_precompile ${CMAKE_CURRENT_BINARY_DIR}/Listaller-${LILIBS_VERSION}.gir
)
add_custom_target(compile-gir DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Listaller-${LILIBS_VERSION}.typelib)
#FIXME: GIR does not compile at time, so we disable this
# add_dependencies (listaller-glib compile-gir)

add_definitions("-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE"
	"-DI_KNOW_THE_PACKAGEKIT_PLUGIN_API_IS_SUBJECT_TO_CHANGE"
)

# Add log domain
add_definitions("-DG_LOG_DOMAIN=\"Listaller\"")

target_link_libraries(listaller-glib
		${M_LIB}
		${GEE_LIBRARIES}
		${GIO2_LIBRARIES}
		${SQLITE_LIBRARIES}
		${LibArchive_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${GPGME_VANILLA_LIBRARIES}
		${REDLAND_LIBRARIES}
		${PACKAGEKIT_LIBRARIES}
		${PACKAGEKIT_PLUGIN_LIBRARIES}
)

include_directories(${CMAKE_BINARY_DIR}
		${CMAKE_CURRENT_SOURCE_DIR}
		${GLIB2_INCLUDE_DIR}
		${GEE_INCLUDE_DIRS}
		${GIO2_INCLUDE_DIR}
		${SQLITE_INCLUDE_DIR}
		${LibArchive_INCLUDE_DIR}
		${LIBXML2_INCLUDE_DIR}
		${GPGME_INCLUDES}
		${REDLAND_INCLUDE_DIRS}
		${PACKAGEKIT_INCLUDE_DIRS}
		${PACKAGEKIT_PLUGIN_INCLUDE_DIRS}
)

if(NOT LILIBS_FULL_VERSION)
 message(FATAL_ERROR "Library version not defined. (This should never happen)")
endif()
set_target_properties(listaller-glib PROPERTIES VERSION ${LILIBS_FULL_VERSION} SOVERSION ${LISTALLER_API_LEVEL})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/listaller-glib.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/listaller-glib.pc
  @ONLY
)

install(TARGETS listaller-glib DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/listaller-glib.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
	COMPONENT headers
)
install(FILES ${CMAKE_BINARY_DIR}/src/listaller.h
	DESTINATION include/listaller-glib
	COMPONENT headers
)
install(FILES ${CMAKE_BINARY_DIR}/src/listaller-${LILIBS_VERSION}.vapi
	DESTINATION share/vala/vapi
	COMPONENT headers
)

#
# Build Listaller PackageKit PlugIn
#
add_subdirectory(pk-plugin)

=== tests/CMakeLists.txt ===
# CMakeLists for Listaller Unit Tests

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
find_package(Gettext REQUIRED)
find_package(GPGme REQUIRED)
find_package(GI REQUIRED)
find_library(M_LIB m)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
pkg_check_modules(REDLAND REQUIRED redland>=0.4)
pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2)
#find_gir(PKGIR "packagekit-glib2" REQUIRED)

set(LIUNITTEST_SOURCES
)

link_libraries(${M_LIB}
		${GLIB2_LIBRARIES}
		${GEE_LIBRARIES}
		${GIO2_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${GPGME_VANILLA_LIBRARIES}
		${PACKAGEKIT_LIBRARIES}
		${REDLAND_LIBRARIES}
		listaller-glib
)

include_directories(${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
		${GLIB2_INCLUDE_DIR}
		${GEE_INCLUDE_DIRS}
		${GIO2_INCLUDE_DIR}
		${LIBXML2_INCLUDE_DIR}
		${GPGME_INCLUDES}
		${PACKAGEKIT_INCLUDE_DIRS}
		${REDLAND_INCLUDE_DIRS}
)

add_definitions ("-DI_KNOW_THE_PACKAGEKIT_GLIB2_API_IS_SUBJECT_TO_CHANGE")
add_definitions ("-DI_KNOW_THE_PACKAGEKIT_PLUGIN_API_IS_SUBJECT_TO_CHANGE")

# Basic tests
vala_add_executable (li-test-basics ${LIUNITTEST_SOURCES} tests-basics.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
add_test(basic-test li-test-basics ${CMAKE_CURRENT_SOURCE_DIR})

# Database tests
vala_add_executable (li-test-database ${LIUNITTEST_SOURCES} tests-database.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
add_test(database-test li-test-database)

# IPK layout tests
vala_add_executable (li-test-ipk ${LIUNITTEST_SOURCES} tests-ipk.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
add_test(ipk-test li-test-ipk ${CMAKE_CURRENT_SOURCE_DIR})

# IPK installer tests
vala_add_executable (li-test-installer ${LIUNITTEST_SOURCES} tests-installer.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
add_test(installer-test li-test-installer ${CMAKE_CURRENT_SOURCE_DIR})

if(TOOLS)
# LiBuild tests
vala_add_executable (li-test-ipkbuild ${LIUNITTEST_SOURCES} tests-ipkbuild.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
add_test(ipkbuild-test li-test-ipkbuild ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_BINARY_DIR}/tools/appcompile/appcompile
	${CMAKE_BINARY_DIR}/tools/libuild/libuild
)
endif(TOOLS)

# Dependency solver tests
vala_add_executable (li-test-depmanager ${LIUNITTEST_SOURCES} tests-depmanager.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
if(TEST_DEPMANAGER)
	add_test(depmanager-test li-test-depmanager ${CMAKE_CURRENT_SOURCE_DIR})
endif(TEST_DEPMANAGER)

# Tests of package security (GPG signing etc.)
vala_add_executable (li-test-security ${LIUNITTEST_SOURCES} ../tools/libuild/lbutils.vala
							../tools/libuild/gpgsign.vala tests-security.vala
				BASE_DIR ${lisrc}
				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)
if(TEST_SECURITY)
	add_test(security-test li-test-security ${CMAKE_CURRENT_SOURCE_DIR})
endif(TEST_SECURITY)

=== tools/CMakeLists.txt ===
# CMakeLists for Listaller Tools Directory

add_subdirectory(runapp)
if(TOOLS)
	add_subdirectory(depscan)
	add_subdirectory(libuild)
	add_subdirectory(appcompile)
endif(TOOLS)

=== contrib/apbuild/CMakeLists.txt ===
# CMakeLists for BuildTools

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)

ensure_vala_version("0.10" MINIMUM)



set(BUILDLIST_SOURCES buildlist.vala
)

link_libraries(${GLIB2_LIBRARIES}
	       ${GEE_LIBRARIES}
	       ${GIO2_LIBRARIES}
)

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_CURRENT_SOURCE_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIR}
		    ${GIO2_INCLUDE_DIR}
)

add_definitions(${GEE_CFLAGS} ${GEE_CFLAGS_OTHER})

vala_add_executable("buildlist" ${BUILDLIST_SOURCES}
				PACKAGES posix glib-2.0 gio-2.0 gee-1.0
)

install(TARGETS buildlist DESTINATION include/apbuild COMPONENT headers)
install(PROGRAMS apgcc
		 apg++
		 make-icons
		 relaytool
	DESTINATION bin
	COMPONENT buildtools
)
install(FILES Apbuild/GCC.pm
	      Apbuild/Utils.pm
	DESTINATION share/apbuild
	COMPONENT buildtools
)
install(FILES ctype.h DESTINATION include/apbuild COMPONENT headers)
install(FILES relaytool.m4 DESTINATION share/aclocal COMPONENT headers)

=== contrib/binreloc/CMakeLists.txt ===
# CMakeLists for BinReloc

# (At time, to nothing...)

=== docs/man/CMakeLists.txt ===
# CMakeLists for Manpages

include (${CMAKE_SOURCE_DIR}/data/cmake/documentation.cmake)

set(manpages "libuild.1")

add_manpages(doc-man "${manpages}" "")

=== tools/appcompile/CMakeLists.txt ===
# CMakeLists for Listaller package builder tool
project(listaller-appcompile)

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
find_package(Gettext REQUIRED)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)

set(LIBUILD_SOURCES ${lisrc}/utils.vala
			${lisrc}/logging.vala
			../libuild/lbutils.vala
			acutils.vala
			main.vala
			autocompiler.vala
			autostrip.vala
)

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_CURRENT_SOURCE_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIRS}
		    ${GIO2_INCLUDE_DIR}
)

# Database tests
vala_add_executable (appcompile ${LIBUILD_SOURCES}
			PACKAGES config gee-1.0 gio-2.0 posix
			VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi
)

target_link_libraries(appcompile
		${GLIB2_LIBRARIES}
		${GEE_LIBRARIES}
		${GIO2_LIBRARIES}
)

install(TARGETS appcompile DESTINATION bin)

=== tools/libuild/CMakeLists.txt ===
# CMakeLists for Listaller package builder tool
project(listaller-libuild)

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
find_package(Gettext REQUIRED)
find_package(SQLite3 REQUIRED)
find_package(LibArchive REQUIRED)
find_package(GPGme REQUIRED)
find_library(M_LIB m)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
pkg_check_modules(REDLAND REQUIRED redland>=0.4)

set(LIBUILD_SOURCES ${LISTALLER_BASE_SOURCES}
			lbutils.vala
			prepare.vala
			gpgsign.vala
			depfind.vala
			ipkbuilder.vala
)

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_BINARY_DIR}/src
		    ${CMAKE_CURRENT_SOURCE_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIRS}
		    ${GIO2_INCLUDE_DIR}
		    ${SQLITE_INCLUDE_DIR}
		    ${LibArchive_INCLUDE_DIR}
		    ${LIBXML2_INCLUDE_DIR}
		    ${GPGME_INCLUDES}
		    ${REDLAND_INCLUDE_DIRS}
)

# Add log domain
add_definitions("-DG_LOG_DOMAIN=\"Builder\"")

# Listaller build tool
vala_add_executable (libuild ${LIBUILD_SOURCES} main.vala
			PACKAGES ${LISTALLER_BASE_VALA_DEPS}
			VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi
)

target_link_libraries(libuild
		${M_LIB}
		${GLIB2_LIBRARIES}
		${GEE_LIBRARIES}
		${GIO2_LIBRARIES}
		${SQLITE_LIBRARIES}
		${LibArchive_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${GPGME_VANILLA_LIBRARIES}
		${PACKAGEKIT_LIBRARIES}
		${REDLAND_LIBRARIES}
)

install(TARGETS libuild DESTINATION bin)

=== tools/runapp/CMakeLists.txt ===
# CMakeLists for RunApp tool
project(listaller-runapp)

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)

set(RUNAPP_SOURCES runapp.vala
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIRS}
		    ${GIO2_INCLUDE_DIR}
		    ${CMAKE_BINARY_DIR}
		    ${CMAKE_BINARY_DIR}/src
)

vala_add_executable(runapp ${RUNAPP_SOURCES}
			PACKAGES config gee-1.0 gio-2.0 posix listaller-${LILIBS_VERSION}
			OUTPUT_DIR ${CMAKE_BINARY_DIR}/src
			VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)

add_dependencies(runapp_precompile listaller-glib)
add_dependencies(runapp_precompile ${CMAKE_BINARY_DIR}/src/listaller-${LILIBS_VERSION}.vapi)

target_link_libraries(runapp
		${GLIB2_LIBRARIES}
		${GEE_LIBRARIES}
		${GIO2_LIBRARIES}
		listaller-glib
)

install(TARGETS runapp DESTINATION bin)

=== contrib/patchelf/src/CMakeLists.txt ===
# CMakeLists for Patchelf

set(PATCHELF_SOURCES elf.h patchelf.cc
)

include_directories(${CMAKE_BINARY_DIR}
		${CMAKE_BINARY_DIR}/src
		${CMAKE_CURRENT_SOURCE_DIR}
)

add_executable(patchelf ${PATCHELF_SOURCES})

install(TARGETS patchelf
	RUNTIME DESTINATION bin
)

=== debian/changelog ===
listaller (0.5.4-1) unstable; urgency=low

  * Initial release (Closes: #669088)

 -- Matthias Klumpp <matthias@tenstral.net>  Wed, 18 Apr 2012 18:42:46 +0200

=== debian/control ===
Source: listaller
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               intltool,
               libarchive-dev (>= 2.8),
               libdbus-glib-1-dev,
               libgee-dev (>= 0.6),
               libglib2.0-dev (>= 2.28),
               libgpgme11-dev,
               libpackagekit-glib2-dev (>= 0.7.3),
               libpolkit-gobject-1-dev,
               librdf0-dev (>= 1.0),
               libsqlite3-dev (>= 3.6),
               libxml2-dev,
               valac (>= 0.14),
               xmlto
Standards-Version: 3.9.3
Homepage: http://listaller.tenstral.net
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/listaller.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/listaller.git

Package: listaller
Architecture: any
Depends: packagekit (>= 0.7.3),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains tools required for Listaller to work.

Package: liblistaller-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer (shared library)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains the Listaller shared library.

Package: liblistaller-glib-dev
Architecture: any
Section: libdevel
Depends: liblistaller-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: rd-party application installer (development files)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools,
 however some specialized UIs are available and integrated with
 existing package-management tools.
 .
 This package contains development files necessary to develop
 custom Listaller frontends.

Package: listaller-devtools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: listaller-libuild
Description: 3rd-party application installer packaging tools
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 Listaller packages can be managed with every existing
 PackageKit frontend.
 .
 This package contains additional tools which are required
 to build IPK packages, includin helper tools to make your
 application run on more distributions.

Package: listaller-libuild
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: apbuild tool
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed installation packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 Listaller packages can be managed with every existing
 PackageKit frontend.
 .
 This package contains the libuild facilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

LI_CONFIGURE_ARGS = -DTOOLS=ON \
		    -DAPBUILD=ON


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(LI_CONFIGURE_ARGS)

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://launchpad.net/listaller/+download \
http://launchpad.net/listaller/.*/apper-(.*)\.tar\.bz2

## listaller 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
 
 #UNSET THIS VARIABLE AT RELEASE TIME
-#set(VERSION_SUFFIX "-dev")
+set(VERSION_SUFFIX "-dev")
 
 set(CMAKE_BUILD_TYPE "Debug")
 
@@ -29,7 +29,7 @@
 
 set(LISTALLER_VERSION_MAJOR  "0")
 set(LISTALLER_VERSION_MINOR  "5")
-set(LISTALLER_VERSION_PATCH  "4")
+set(LISTALLER_VERSION_PATCH  "5")
 set(LISTALLER_VERSION_SUFFIX "${VERSION_SUFFIX}")
 set(LISTALLER_VERSION "${LISTALLER_VERSION_MAJOR}.${LISTALLER_VERSION_MINOR}.${LISTALLER_VERSION_PATCH}")
 
@@ -47,13 +47,12 @@
 #
 option(QT "Build Listaller's Qt4 modules" OFF)
 option(TOOLS "Build Listaller's non-gui tools" ON)
-option(APBUILD "Build the APBuild tool" OFF)
+option(LIBUILD "Build the LIBuild tools" OFF)
 option(PATCHELF "Build patchelf utility" OFF)
 option(L18N "Enable localization" ON)
 option(TESTS "Enable Listaller's Unit Tests" OFF)
-option(TEST_DEPSOLVER "Test Listaller's dependency solver" OFF)
+option(TEST_DEPMANAGER "Test Listaller's dependency solver" OFF)
 option(TEST_SECURITY "Enable Listaller signing/security tests" ON)
-
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX
@@ -94,7 +93,7 @@
 # Default paths
 #
 set(BIN_INSTALL_DIR bin CACHE PATH "Installation directory for executables")
-set(LIB_INSTALL_DIR lib CACHE PATH "Installation directory for libraries")
+set(LIB_INSTALL_DIR lib/${CMAKE_LIBRARY_ARCHITECTURE} CACHE PATH "Installation directory for libraries")
 set(INC_INSTALL_DIR include CACHE PATH "Installation directory for headers")
 set(DATA_INSTALL_DIR share/listaller CACHE PATH "Installation directory for data files")
 set(SYSCONF_INSTALL_DIR etc CACHE PATH "Installation directory for system configuration files")

=== contrib/CMakeLists.txt ===

if (LIBUILD)
	add_subdirectory(libuild)
	add_subdirectory(binreloc)
endif (LIBUILD)
if (PATCHELF)
	add_subdirectory(patchelf)
endif (PATCHELF)

=== data/CMakeLists.txt ===

add_subdirectory(etc)
add_subdirectory(mime)
add_subdirectory(graphics)

=== docs/CMakeLists.txt ===

add_subdirectory (man)

=== po/CMakeLists.txt ===
# CMakeLists for Listaller localisation

find_program (LC_INTLTOOL_UPDATE intltool-update)
mark_as_advanced (LC_INTLTOOL_UPDATE)

find_package (Gettext REQUIRED)

if (LC_INTLTOOL_UPDATE STREQUAL "")
	message (FATAL_ERROR "Intltool was not found! Please install it to continue!")
endif (LC_INTLTOOL_UPDATE STREQUAL "")

set(LPKNAME "listaller")

add_custom_target (nls-update
	${LC_INTLTOOL_UPDATE} -p -g "${LPKNAME}"
	DEPENDS POTFILES.in
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)

file (GLOB _translations ${CMAKE_CURRENT_SOURCE_DIR}/*.po)
        gettext_create_translations (${LPKNAME}.pot
				     ALL ${_translations}
	)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,18 +54,18 @@
 find_package(Vala REQUIRED)
 include("${VALA_USE_FILE}")
 
-find_package(GLIB2 REQUIRED)
+find_package(GLIB2 2.23 REQUIRED)
 find_package(Gettext REQUIRED)
 find_package(SQLite3 REQUIRED)
 find_package(LibArchive REQUIRED)
 find_package(LibXml2 REQUIRED)
-find_package(GPGme REQUIRED)
+find_package(GPGMe REQUIRED)
 find_package(GI REQUIRED)
 find_library(M_LIB m)
 pkg_check_modules(GEE REQUIRED gee-1.0>=0.6)
 pkg_check_modules(GIO2 REQUIRED gio-2.0>=2.26)
 pkg_check_modules(REDLAND REQUIRED redland>=0.4)
-pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2>=0.7.2)
+pkg_check_modules(PACKAGEKIT REQUIRED packagekit-glib2>=0.7.4)
 pkg_check_modules(PACKAGEKIT_PLUGIN REQUIRED packagekit-plugin)
 #find_gir(PKGIR "PackageKitGlib-1.0" REQUIRED)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 find_package(GLIB2 REQUIRED)
 find_package(Gettext REQUIRED)
-find_package(GPGme REQUIRED)
+find_package(GPGMe REQUIRED)
 find_package(GI REQUIRED)
 find_library(M_LIB m)
 pkg_check_modules(GEE REQUIRED gee-1.0)
@@ -76,7 +76,7 @@
 add_test(installer-test li-test-installer ${CMAKE_CURRENT_SOURCE_DIR})
 
 if(TOOLS)
-# LiBuild tests
+# Lipkgen tests
 vala_add_executable (li-test-ipkbuild ${LIUNITTEST_SOURCES} tests-ipkbuild.vala
 				BASE_DIR ${lisrc}
 				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
@@ -84,7 +84,7 @@
 )
 add_test(ipkbuild-test li-test-ipkbuild ${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_BINARY_DIR}/tools/appcompile/appcompile
-	${CMAKE_BINARY_DIR}/tools/libuild/libuild
+	${CMAKE_BINARY_DIR}/tools/lipkgen/lipkgen
 )
 endif(TOOLS)
 
@@ -99,8 +99,8 @@
 endif(TEST_DEPMANAGER)
 
 # Tests of package security (GPG signing etc.)
-vala_add_executable (li-test-security ${LIUNITTEST_SOURCES} ../tools/libuild/lbutils.vala
-							../tools/libuild/gpgsign.vala tests-security.vala
+vala_add_executable (li-test-security ${LIUNITTEST_SOURCES} ../tools/lipkgen/lpkgutils.vala
+							../tools/lipkgen/gpgsign.vala tests-security.vala
 				BASE_DIR ${lisrc}
 				PACKAGES ${LISTALLER_BASE_VALA_DEPS} packagekit-glib2 listaller_internal
 				VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src

=== tools/CMakeLists.txt ===
# CMakeLists for Listaller Tools Directory

set(LI_TOOLS_SHARED_SOURCES toolshared.vala
			console-progress-bar.vala
)

vala_precompile(tools-shared LI_TOOLS_SHARED_C ${LI_TOOLS_SHARED_SOURCES}
			PACKAGES config gee-1.0 gio-2.0 posix listaller-${LILIBS_VERSION}
			VAPI_DIRS ${CMAKE_SOURCE_DIR}/vapi ${CMAKE_BINARY_DIR}/src
)

add_subdirectory(runapp)
add_subdirectory(lipa)
if(TOOLS)
	add_subdirectory(depscan)
	add_subdirectory(lipkgen)
	add_subdirectory(appcompile)
endif(TOOLS)

=== contrib/libuild/CMakeLists.txt ===
# CMakeLists for LI-BuildTools

find_package(Vala REQUIRED)
include("${VALA_USE_FILE}")

find_package(GLIB2 REQUIRED)
pkg_check_modules(GEE REQUIRED gee-1.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)

ensure_vala_version("0.12" MINIMUM)

set(BUILDLIST_SOURCES buildlist.vala
)

link_libraries(${GLIB2_LIBRARIES}
	       ${GEE_LIBRARIES}
	       ${GIO2_LIBRARIES}
)

include_directories(${CMAKE_BINARY_DIR}
		    ${CMAKE_CURRENT_SOURCE_DIR}
		    ${GLIB2_INCLUDE_DIR}
		    ${GEE_INCLUDE_DIR}
		    ${GIO2_INCLUDE_DIR}
)

add_definitions(${GEE_CFLAGS} ${GEE_CFLAGS_OTHER})

vala_add_executable(buildlist ${BUILDLIST_SOURCES}
				PACKAGES posix glib-2.0 gio-2.0 gee-1.0
)

install(TARGETS buildlist DESTINATION lib/listaller COMPONENT buildtools)
install(PROGRAMS ligcc
		 lig++
		 relaytool
	DESTINATION bin
	COMPONENT buildtools
)
install(FILES LiBuild/GCC.pm
	      LiBuild/Utils.pm
	DESTINATION share/listaller/LiBuild
	COMPONENT buildtools
)
install(FILES ctype.h DESTINATION include/libuild COMPONENT headers)
install(FILES relaytool.m4 DESTINATION share/aclocal COMPONENT headers)

=== data/etc/CMakeLists.txt ===
# Install standard configuration

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/default-dependencies.list
	  ${CMAKE_CURRENT_SOURCE_DIR}/dependencies.list
	DESTINATION /etc/listaller
	COMPONENT config)

=== data/graphics/CMakeLists.txt ===
# CMakeLists to install graphics for Listaller

# Mimetypes
install(FILES package-x-ipk.png
	DESTINATION share/icons/hicolor/32x32/mimetypes)
# Install to /pixmaps too
# FIXME: Should not install to two directories, find policy for this
install(FILES package-x-ipk.png
	DESTINATION share/pixmaps)

# Graphics for "Distribution Tested" button
install(FILES
	libutton/left.png
	libutton/firstblock.png
	libutton/block.png
	libutton/lastblock.png
	DESTINATION share/listaller/graphics/libutton/
)

install(DIRECTORY libutton/distro
	DESTINATION share/listaller/graphics/libutton
	FILES_MATCHING PATTERN "*.png"
)

=== data/mime/CMakeLists.txt ===
# CMakeLists to install Listaller's mime data

set (XDG_MIME_INSTALL_DIR "share/mime/packages")

find_program (LC_INTLTOOL_MERGE intltool-merge)
mark_as_advanced (LC_INTLTOOL_MERGE)

if (LC_INTLTOOL_MERGE STREQUAL "LC_INTLTOOL_MERGE-NOTFOUND")
	message (FATAL_ERROR "Intltool was not found! Please install it to continue!")
endif (LC_INTLTOOL_MERGE STREQUAL "LC_INTLTOOL_MERGE-NOTFOUND")

add_custom_target (merge-l18n ALL
	${LC_INTLTOOL_MERGE} -x ${CMAKE_SOURCE_DIR}/po
		${CMAKE_CURRENT_SOURCE_DIR}/listaller-ipk.xml.in
		${CMAKE_CURRENT_BINARY_DIR}/listaller-ipk.xml
	DEPENDS listaller-ipk.xml.in
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/listaller-ipk.xml
	DESTINATION ${XDG_MIME_INSTALL_DIR}
	COMPONENT data
)

#install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/listaller-ips.xml
#	DESTINATION share/mime/packages/
#	COMPONENT data)

=== debian/changelog ===
listaller (0.5.5-1) unstable; urgency=low

  * New upstream release: 0.5.5
    - Rewrote groff manpages in XML
    - Rename libuild to lipkgen to avoid name collisions
    - Add lipa command-line tool again to control Listaller
       via a command-line interface.
    - ligcc: Remove NO_STATIC_X option, it is default now
    - Show a progress-bar in text terminals
    - Exclusively use /etc/os-release introduced by systemd
       to check distro info
    - Show a message that we don't support other OSes than Linux (yet)
    - ligcc: Fix linker paths
    - Install binreloc too, if libuild is enabled
    - Always prefer personal over shared apps in db queries
    - Move buildlist helper to a better, more FHS-compliant location
  * Correctly set listaller library dependency line
  * Correctly set -dev package dependencies
  * Allow DM upload
  * Dropped all patches: Applied upstream
  * Updated package descriptions

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 21 May 2012 19:41:52 +0200

=== debian/control ===
Source: listaller
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <matthias@tenstral.net>
DM-Upload-Allowed: yes
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               intltool,
               libarchive-dev (>= 2.8),
               libdbus-glib-1-dev,
               libgee-dev (>= 0.6),
               libglib2.0-dev (>= 2.28),
               libgpgme11-dev,
               libpackagekit-glib2-dev (>= 0.7.4),
               libpolkit-gobject-1-dev,
               librdf0-dev (>= 1.0),
               libsqlite3-dev (>= 3.6),
               libxml2-dev,
               valac (>= 0.14),
               xmlto
Standards-Version: 3.9.3
Homepage: http://listaller.tenstral.net
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/listaller.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/listaller.git

Package: listaller
Architecture: any
Depends: packagekit (>= 0.7.4),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools.
 .
 This package contains all modules required for Listaller to work.

Package: liblistaller-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer (shared library)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools.
 .
 This package contains the Listaller shared library.

Package: liblistaller-glib-dev
Architecture: any
Section: libdevel
Depends: libgee-dev (>= 0.6),
         libglib2.0-dev (>= 2.28),
         liblistaller-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: 3rd-party application installer (development files)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages, which can
 be installed for all users (as root) or only for one user
 without needing superuser-rights.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools.
 .
 This package contains development files necessary to develop
 custom Listaller frontends.

Package: listaller-devtools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: listaller-libuild
Description: 3rd-party application installer packaging tools
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages.
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools.
 .
 This package contains tools which are required to build
 and maintain your own IPK packages.

Package: listaller-libuild
Architecture: any
Depends: perl (>= 5.14),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Listaller libuild facilities
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages.
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend available, without needing extra tools.
 .
 This package contains the libuild facilities, which help building
 more portable applications.

=== debian/watch ===
version=3
https://launchpad.net/listaller/+download \
 http://launchpad\.net/listaller/.+/.+/\+download/listaller-(.+)\.tar\.gz
